package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 科室返回对象
 */
@Data
public class GetDeptInfoDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "科室编号")
    private Long deptId;
    @ApiModelProperty(value = "科室名称")
    private String deptName;
    @ApiModelProperty(value = "组织类型（0:AI病案质控平台 1:集团医院 2:医共 3:医联 4:医院 5:科室）")
    private String type = "5";
    @ApiModelProperty(value = "组织类型名称")
    private String typeName = "科室";
    @ApiModelProperty(value = "状态")
    private String status;
    @ApiModelProperty(value = "状态名称")
    private String statusName;
    @ApiModelProperty(value = "病区id")
    private String regionId;
    @ApiModelProperty(value = "病区名称")
    private String regionName;
    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;
}
