package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 科室返回对象
 */
@Data
public class GetDeptTreeDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "科室编号")
    private Long deptId;
    @ApiModelProperty(value = "科室名称")
    private String deptName;
    @ApiModelProperty(value = "是否关联")
    private String relation = "0";
}
