package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import sun.util.resources.ga.LocaleNames_ga;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 角色输出对象
 */
@Data
public class GetRoleDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "角色名称")
    private String name;

    @ApiModelProperty(value = "角色描述")
    private String remark;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;


    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "登录用户的系统列表")
    private List<SoftwareDTO> loginSoftwares;

    @ApiModelProperty(value = "当前登录对象系统服务菜单功能权限树")
    private List<UserMenuResourceTreeDTO> loginUserMenuResourceTree;
}
