

package com.lantone.common.dto;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @Author: cy
 * @time: 2021/9/5 16:56
 */
@Data
public class LoginLogDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 登录用户ID
     */
    private Long loginId;

    /**
     * 登录用户名
     */
    private String loginName;

    /**
     * 登录日期
     */
    private Date loginDate;

    /**
     * 登录ip
     */
    private String loginIp;

    /**
     * 登录ip地址
     */
    private String loginAddress;

    /**
     * 浏览器
     */
    private String loginBrowser;

    /**
     * 创建日期
     */
    private Date GmtCreate;

}
