package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: 服务数据权限明细关联对象
 * @Author songxl
 * @Date 2021/7/22
 */
@Data
public class SoftwareDataAuthDetail {
    @ApiModelProperty(value = "数据范围类型：：1:全部组织,2:全部科室,3:全部科室除本科室外,4:本科室,5:本医疗组,6:本人,7:自定义")
    private Integer dataType;
    @ApiModelProperty(value = "detail_id的类型 1：detail_id为医院id 2：为科室id3：为医生id")
    private Integer detailType;
    @ApiModelProperty(value = "医院、科室、医生id")
    private Long detailId;

}
