package com.lantone.common.dto.appeal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 审核
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class GetAppealReviewDTO {

    @ApiModelProperty(value = "申述id")
    private Long id;

    @ApiModelProperty(value = "申述人")
    private String claimantName;

    @ApiModelProperty(value = "所属科室")
    private String behDeptName;

    @ApiModelProperty(value = "申述申诉时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date claimantGmtCreate;

    @ApiModelProperty(value = "病人住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "申述模块")
    private String casesName;

    @ApiModelProperty(value = "缺陷详情")
    private String defectContent;

    @ApiModelProperty(value = "审核人")
    private String checkName;

    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkGmtCreate;

    @ApiModelProperty(value = "操作类型")
    private String appealOperationType;

    @ApiModelProperty(value = "状态")
    private String exampleStatus;

}
