package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 用户组织机构树对象
 * </p>
 */
@Data
public class AddHospitalTreeVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "科室id列表")
    private List<Long> depts;

    @ApiModelProperty(value = "医院的id列表")
    private List<Long> hospitals;

}
