package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @ClassName: ServiceDataAuthVO
 * @Description: 系统数据权限对象
 * @Author songxl
 * @Date 2021/7/21
 * @Version 1.0
 */
@Data
public class UpdateAuthVO {
    @ApiModelProperty(value = "数据权限对象", required = true)
    @Valid
    @NotNull(message = "数据权限对象为空")
    private UpdateDataAuthVO updateDataAuthVO;

}
