package com.lantone.common.vo.appeal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author songxl
 * @Date 2022/1/6
 */
@Data
public class GetAppealOperationTypeVO {
    @ApiModelProperty(value = "质控缺陷id", required = true)
    @NotNull(message = "质控缺陷id不能为空")
    private Long qcresultDetailId;
    @ApiModelProperty(value = "审核状态 0:待审核|1:驳回|2:通过", required = true)
    @NotBlank(message = "审核状态不能为空")
    private String exampleStatus;
    @ApiModelProperty(value = "申诉操作类型（0:删改|1:新增已有|2:新增缺失|3:恢复）", required = true)
    @NotBlank(message = "申诉操作类型不能为空")
    private String appealOperationType;
}
