package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 医院病历文书类型细分类key明细表 实体类
 * </p>
 */
@Data
@TableName("med_record_analyze_detail")
public class RecordAnalyzeDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 主表ID
     */
    @TableField("record_analyze_id")
    private Long recordAnalyzeId;

    /**
     * 医院数据结构化Key
     */
    @TableField("map_key")
    private String mapKey;

}