package com.lantone.dblayermbg.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 *  实体类
 * </p>
 */
@Data
@TableName("qc_rule_type")
public class RuleType implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("case_entry_id")
    private Integer caseEntryId;

    @TableField("code")
    private String code;

    @TableField("msg")
    private String msg;

    @TableField("type")
    private String type;

}