package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.LoginLogDTO;
import com.lantone.common.vo.GetLoginLogVO;
import com.lantone.common.vo.GetLoginNameAndIpVO;
import com.lantone.dblayermbg.entity.LoginLog;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * <p>
 * 表名：sys_login_log Mapper接口
 * </p>
 */
@Repository
public interface LoginLogMapper extends BaseMapper<LoginLog> {
    void addLoginLog(LoginLogDTO loginLogDTO);

    IPage<LoginLogDTO> getLoginLog(GetLoginLogVO getLoginLogVO);

    List<String> getLoginLogNameAndIp(GetLoginNameAndIpVO getLoginNameAndIpVO);
}