package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.OperationLogDTO;
import com.lantone.common.vo.GetOperationLogVO;
import com.lantone.dblayermbg.entity.OperationLog;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 表名：sys_operation_log Mapper接口
 * </p>
 */
@Repository
public interface OperationLogMapper extends BaseMapper<OperationLog> {
    void addOperLog(OperationLogDTO operationLog);

    IPage<OperationLogDTO> getOperationLog(GetOperationLogVO getOperationLogVO);
}