package com.lantone.dblayermbg.mapper.analyze;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.common.dto.analyze.QcCasesEntryDTO;
import com.lantone.common.vo.analyze.AnalyzeVO;
import com.lantone.common.vo.analyze.QcResultAlgQueryVO;
import com.lantone.common.vo.analyze.QcResultAlgVO;
import com.lantone.dblayermbg.entity.analyze.QcCasesEntry;

import java.util.List;

/**
 * <p>
 * 表名：qc_cases_entry Mapper接口
 * </p>
 */
public interface QcCasesEntryMapper extends BaseMapper<QcCasesEntry> {

    List<QcCasesEntryDTO> getQcCasesEntry(AnalyzeVO analyzeVO);

    List<QcResultAlgVO> getQcResultAlgVO(QcResultAlgQueryVO qcResultAlgQueryVO);
}