package com.lantone.dblayermbg.mapper.report;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.report.DoctorAdviceDTO;
import com.lantone.common.vo.report.DoctorAdviceVO;
import com.lantone.dblayermbg.entity.report.DoctorAdvice;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 表名：med_doctor_advice Mapper接口
 * </p>
 */
public interface DoctorAdviceMapper extends BaseMapper<DoctorAdvice> {
    IPage<DoctorAdviceDTO> getPage(@Param("doctorAdviceVO") DoctorAdviceVO doctorAdviceVO, @Param("infos") Set<String> infos);
    List<String> getInfo(@Param("hospitalId")Long hospitalId, @Param("behospitalCode")String behospitalCode);
}