package com.lantone.dblayermbg.service.impl.analyze;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.common.dto.analyze.MedPacsResultDTO;
import com.lantone.dblayermbg.entity.analyze.MedBehospitalInfo;
import com.lantone.dblayermbg.entity.analyze.MedPacsResult;
import com.lantone.dblayermbg.mapper.analyze.MedPacsResultMapper;
import com.lantone.dblayermbg.service.analyze.MedPacsResultService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  Service实现类
 * </p>
 */
@Service
public class MedPacsResultServiceImpl extends ServiceImpl<MedPacsResultMapper, MedPacsResult> implements MedPacsResultService {

    public List<MedPacsResultDTO> getMedPacsResultList(MedBehospitalInfo medBehospitalInfo) {
        return baseMapper.getMedPacsResults(medBehospitalInfo);
    }
}