package com.lantone.userauth.service;

import com.lantone.common.api.CommonResult;
import com.lantone.common.domain.UserDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Description:
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@FeignClient("security-center")
public interface UserManagemenService {

    @PostMapping("/userManage/loadByUsername")
    CommonResult<UserDto> loadUserByUsername(@RequestParam String username);

}