
package com.lantone.common.dto;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @Author: cy
 * @time: 2021/9/5 16:55
 */
@Data
public class AbnormalLogDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 操作人用户ID
     */
    private Long operationId;

    /**
     * 操作人用户名
     */
    private String operationName;

    /**
     * 操作请求方式
     */
    private String operationWay;

    /**
     * 操作请求方法
     */
    private String operationMethod;

    /**
     * 操作url
     */
    private String operationUrl;

    /**
     * 操作参数
     */
    private String operationParam;

    /**
     * ip地址
     */
    private String operationIp;

    /**
     * 代理信息
     */
    private String operationAgent;

    /**
     * 操作异常信息
     */
    private String operationErrorInfo;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录
     */
    private String remark;
}
