package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @Author songxl
 * @Date 2021/7/22
 */
@Data
public class DataAuthDetailDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "选中的医院")
    private List<GetDataAuthHospitalDTO> hospitals;
    @ApiModelProperty(value = "选中的科室")
    private List<GetDataAuthDeptDTO> depts;
    @ApiModelProperty(value = "选中的医生")
    private List<GetDataAuthDoctorDTO> doctors;
}
