package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description:组织用户信息
 * @Author songxl
 * @Date 2021/8/6
 */
@Data
public class GetHospitalUserPageDTO {
    @ApiModelProperty(value = "用户编号")
    private Long id;
    @ApiModelProperty(value = "组织编号")
    private Long hospitalId;
    @ApiModelProperty(value = "用户姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String mobilePhone;

    @ApiModelProperty(value = "所属组织名")
    private String hospitalName;
}
