package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 角色输出对象
 * @Author songxl
 * @Date 2021/7/22
 */
@Data
public class GetRolePageDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "角色名称")
    private String name;

    @ApiModelProperty(value = "角色描述")
    private String remark;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;
    @ApiModelProperty(value = "状态名称")
    private String statusName;
}
