package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 系统服务菜单返回对象
 */
@Data
public class GetSoftwareMenuDTO {
    @ApiModelProperty(value = "编号")
    private Long softwareId;

    @ApiModelProperty(value = "服务名称")
    private String softwareName;
    @ApiModelProperty(value = "已关联或未关联")
    private String softwareRelation;

    @ApiModelProperty(value = "服务菜单列表")
    private List<SoftwareMenuRelationDTO> menus;
}
