package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Description:用户所属组织DTO
 * @Author songxl
 * @Date 2021/8/12
 */
@Data
public class GetUserHospitalsDTO {
    @ApiModelProperty(value = "编号")
    private Long hospitalId;
    @ApiModelProperty(value = "父级编号")
    private Long parentId;
    @ApiModelProperty(value = "名称")
    private String hospitalName;
    @ApiModelProperty(value = "组织类型（0:AI病案质控平台 1:集团医院 2:医共 3:医联 4:医院）")
    private String type;
    @ApiModelProperty(value = "子类医院")
    private List<GetUserHospitalsDTO> children;
}
