package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 知管理列表页
 * </p>
 */
@Data
public class ListManagePageDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "通知编号")
    private Long id;
    @ApiModelProperty(value = "用户编号")
    private Long userId;
    @ApiModelProperty(value = "通知标题")
    private String title;
    @ApiModelProperty(value = "通知类型 0:公告，1:其他")
    private String type;
    @ApiModelProperty(value = "通知类型名称")
    private String typeName;
    @ApiModelProperty(value = "阅读状态 0:未读，1:已读")
    private String status;
    @ApiModelProperty(value = "阅读状态名称")
    private String statusName;
    @ApiModelProperty(value = "通知内容")
    private String content;
    @ApiModelProperty(value = "发送者")
    private String sender;
    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

}
