package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName: SoftwareMenuDTO
 * @Description:系统服务菜单返回对象
 * @Author songxl
 * @Date 2021/7/30
 * @Version 1.0
 */
@Data
public class SoftwareMenuDTO {
    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "服务名称")
    private String name;

    @ApiModelProperty(value = "服务菜单列表")
    private List<MenuDTO> menus;
}
