package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 系统服务菜单关联关系对象
 */
@Data
public class SoftwareMenuRelationDTO {
    @ApiModelProperty(value = "编号")
    private Long softwareId;

    @ApiModelProperty(value = "服务名称")
    private String softwareName;

    @ApiModelProperty(value = "编号")
    private Long menuId;
    @ApiModelProperty(value = "父级编号")
    private Long parentId;

    @ApiModelProperty(value = "功能名称")
    private String menuName;

    @ApiModelProperty(value = "菜单已关联或未关联")
    private String menuRelation;
    @ApiModelProperty(value = "子系统服务菜单关联关系对象")
    private  List<SoftwareMenuRelationDTO> children;
}
