package com.lantone.common.dto.analyze;

import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/15 12:24
 */
@Data
public class AnalyzeDTO {
    // 病历id
    private String behospitalCode;
    //是否成功
    private Boolean isSuccess;
    //得分
    private BigDecimal scoreRes;
    //等级
    private String level;
    /**
     * 评分类型(1：机器，2：人工)
     */
    private Integer gradeType;
    /**
     * 评分类型名称(1：机器，2：人工)
     */
    private String gradeTypeName;

    /**
     * 评分时间
     */
    private Date gradeTime;
}
