package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * @Description:
 * @Author: cy
 * @time: 2021/9/6 15:24
 */
@Data
public class GetAbnormalWayAndIpVO {
    /**
     * 操作方式
     */
    @ApiModelProperty(value = "操作方式")
    String operationWay;
    /**
     * 操作ip
     */
    @ApiModelProperty(value = "操作ip")
    String operationIp;

    /**
     * 标记(0-操作方式 1-操作ip)
     */
    @NotNull(message = "查询列表标记不能为空")
    @ApiModelProperty(value = "单独列表返回标记(0-操作方式 1-操作ip)",required = true)
    Integer mark;
}
