package com.lantone.common.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName: DataAuthVO
 * @Description: 数据权限对象
 * @Author songxl
 * @Date 2021/7/21
 * @Version 1.0
 */
@Data
public class GetDataAuthPageVO extends Page implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "数据权限名称")
    private String name;
    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;
    @ApiModelProperty("角色id列表")
    private List<Long> roles;
    @ApiModelProperty(value = "创建用户编号" ,hidden = true)
    private Long creator;


}
