package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description:组织管理列表页查询对象
 * @Author songxl
 * @Date 2021/8/9
 */
@Data
public class GetHospitalListInfoVO {

    @ApiModelProperty(value = "登录用户医院id" ,hidden = true)
    private Long hospitalId;
    @ApiModelProperty(value = "登录用户id" ,hidden = true)
    private Long creator;

    @ApiModelProperty(value = "医院名称")
    private String hospitalName;
    @ApiModelProperty(value = "类型")
    private String type;
    @ApiModelProperty(value = "当前状态")
    private String status;
    @ApiModelProperty(value = "所属病区id")
    private String regionId;
}
