package com.lantone.common.vo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * @Description:
 * @Author: cy
 * @time: 2021/9/6 15:24
 */
@Data
public class GetLoginNameAndIpVO {
    /**
     * 登录用户
     */
    @ApiModelProperty(value = "登录用户")
    String loginName;
    /**
     * 登录ip
     */
    @ApiModelProperty(value = "登录ip")
    String loginIp;

    /**
     * 标记(0-登录用户 1-登录ip)
     */
    @NotNull(message = "查询列表标记不能为空")
    @ApiModelProperty(value = "单独列表返回标记(0-登录用户 1-登录ip)",required = true)
    Integer mark;
}
