package com.lantone.common.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


/**
 * @Description:
 * @Author: cy
 * @time: 2021/7/29 11:31
 */
@Getter
@Setter
public class GetRegionVO extends Page {

    @ApiModelProperty(value = "病区id")
    private Long id;

    @ApiModelProperty(value = "医院ID",hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "用户ID",hidden = true)
    private Long userId;

    @ApiModelProperty(value = "关联科室")
    private String deptName;

    @ApiModelProperty(value = "病区名称")
    private String name;

    @ApiModelProperty(value = "启用状态 0-否 1-是")
    private Integer status;
}
