package com.lantone.common.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName: RoleVO
 * @Description: 角色对象
 * @Author songxl
 * @Date 2021/7/22
 * @Version 1.0
 */
@Data
public class GetRolePageVO extends Page implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "角色名称")
    private String name;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;

    @ApiModelProperty(value = "医院id",hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "创建用户id",hidden = true)
    private Long creator;

}
