package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 修改密码参数
 * @Author: ztg
 * @Date: 2018/9/28 13:14
 */
@Data
public class ModifyPasswordVO {
    @ApiModelProperty(value = "原密码",required = true)
    @NotBlank(message = "请输入原密码")
    private String password; //原密码
    @ApiModelProperty(value = "新密码",required = true)
    @NotBlank(message = "请输入新密码")
    private String modifyPassword; //新密码
}
