package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.AbnormalLogDTO;
import com.lantone.common.vo.GetAbnormalLogVO;
import com.lantone.common.vo.GetAbnormalWayAndIpVO;
import com.lantone.dblayermbg.entity.AbnormalLog;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * <p>
 * 表名：sys_abnormal_log Mapper接口
 * </p>
 */
@Repository
public interface AbnormalLogMapper extends BaseMapper<AbnormalLog> {
    void addOperErrorLog(AbnormalLogDTO abnormalLogDTO);

    IPage<AbnormalLogDTO> getAbnormalLog(GetAbnormalLogVO getAbnormalLogVO);

    List<String> getAbnormalLogWayAndIp(GetAbnormalWayAndIpVO getAbnormalWayAndIpVO);
}