package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.common.dto.GetDataAuthDeptDTO;
import com.lantone.common.dto.GetDataAuthHospitalDTO;
import com.lantone.common.dto.GetHospitalListInfoDTO;
import com.lantone.common.dto.GetHospitalTreeDTO;
import com.lantone.common.vo.GetHospitalListInfoVO;
import com.lantone.dblayermbg.entity.Hospital;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：sys_hospital Mapper接口
 * </p>
 */
public interface HospitalMapper extends BaseMapper<Hospital> {

    List<GetHospitalTreeDTO> getHospitalTreeInfo(@Param("hospitalId") long hospitalId,@Param("status")String status);

    List<GetHospitalListInfoDTO> getHospitalById(@Param("getHospitalListInfoVO") GetHospitalListInfoVO getHospitalListInfoVO);

    List<GetDataAuthHospitalDTO> getHospitals(@Param("hospitalIds") List<Long> hospitalIds);

}