package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.dblayermbg.entity.Resource;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：sys_resource Mapper接口
 * </p>
 */
public interface ResourceMapper extends BaseMapper<Resource> {

    /**
     * 获取所有url、系统、角色对应关系，如：security-center/roleManage/add+运行质控ID=角色A,角色B,角色C
     *
     * @param isDeleted
     * @param status
     * @return
     */
    List<String> getResourceRolesMap(@Param("isDeleted") String isDeleted, @Param("status") String status);

}