package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.common.dto.UserRoleDTO;
import com.lantone.dblayermbg.entity.UserRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：sys_user_role Mapper接口
 * </p>
 */
public interface UserRoleMapper extends BaseMapper<UserRole> {

    List<UserRoleDTO> getUserRoles(@Param("userId") Long userId);

    List<Long> getUserRoleById(@Param("userId") Long userId);
}