package com.lantone.dblayermbg.mapper.report;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.common.dto.report.QuestionEntryDTO;
import com.lantone.common.dto.report.wrapper.QuestionInfoWrapper;
import com.lantone.dblayermbg.entity.report.QuestionInfo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 表名：qc_question_info Mapper接口
 * </p>
 */
public interface QuestionInfoMapper extends BaseMapper<QuestionInfo> {
    public List<QuestionEntryDTO> getByCaseEntryIds(Map map);
    public List<QuestionInfoWrapper> getByQuestionMapping(Map map);
}