package com.lantone.dblayermbg.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.common.dto.analyze.BasDeptInfoDTO;
import com.lantone.common.vo.analyze.BasDeptInfoVO;
import com.lantone.dblayermbg.entity.Dept;
import com.lantone.dblayermbg.mapper.DeptMapper;
import com.lantone.dblayermbg.service.DeptService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 科室表 Service实现类
 * </p>
 */
@Service
public class DeptServiceImpl extends ServiceImpl<DeptMapper, Dept> implements DeptService {

    public List<BasDeptInfoDTO> getList(BasDeptInfoVO basDeptInfoVO) {
        return baseMapper.getList(basDeptInfoVO);
    }
}