package com.lantone.dblayermbg.service.impl.analyze;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.common.dto.analyze.BehospitalInfoDTO;
import com.lantone.common.vo.analyze.BehospitalPageVO;
import com.lantone.dblayermbg.entity.analyze.MedBehospitalInfo;
import com.lantone.dblayermbg.mapper.analyze.MedBehospitalInfoMapper;
import com.lantone.dblayermbg.service.analyze.MedBehospitalInfoService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 住院病历信息 Service实现类
 * </p>
 */
@Service
public class MedBehospitalInfoServiceImpl extends ServiceImpl<MedBehospitalInfoMapper, MedBehospitalInfo> implements MedBehospitalInfoService {

    public IPage<BehospitalInfoDTO> getPage(BehospitalPageVO behospitalPageVO) {
        return baseMapper.getPage(behospitalPageVO);
    }
}