package com.lantone.dblayermbg.service.impl.analyze;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.common.dto.analyze.MedLisResultDTO;
import com.lantone.common.dto.analyze.RecordContentDTO;
import com.lantone.common.vo.analyze.RecordContentVO;
import com.lantone.dblayermbg.entity.analyze.MedBehospitalInfo;
import com.lantone.dblayermbg.entity.analyze.MedLisResult;
import com.lantone.dblayermbg.mapper.analyze.MedLisResultMapper;
import com.lantone.dblayermbg.service.analyze.MedLisResultService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  Service实现类
 * </p>
 */
@Service
public class MedLisResultServiceImpl extends ServiceImpl<MedLisResultMapper, MedLisResult> implements MedLisResultService {

    public List<MedLisResultDTO> getMedLisResultList(MedBehospitalInfo medBehospitalInfo) {
        return baseMapper.getMedLisResults(medBehospitalInfo);
    }
}