package com.lantone.dblayermbg.service.impl.analyze;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.common.dto.analyze.RecordContentDTO;
import com.lantone.common.vo.analyze.RecordContentVO;
import com.lantone.dblayermbg.entity.analyze.MedMedicalRecord;
import com.lantone.dblayermbg.mapper.analyze.MedMedicalRecordMapper;
import com.lantone.dblayermbg.service.analyze.MedMedicalRecordService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  Service实现类
 * </p>
 */
@Service
public class MedMedicalRecordServiceImpl extends ServiceImpl<MedMedicalRecordMapper, MedMedicalRecord> implements MedMedicalRecordService {

    public List<RecordContentDTO> getRecordContentFac(RecordContentVO recordContentVO) {
        return baseMapper.getRecordContent(recordContentVO);
    }
}